# Config requires major update anyway so we just use quick hack for now
%define _files_listed_twice_terminate_build 0

%define source_date 20150326
%define kdemajor 4.14

Summary:	ROSA KDE 4 configuration
Name:		mandriva-kde4-config
Version:	2014RED
Release:	7
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.rosalinux.com
Source0:	%{name}-%{version}.tar.bz2
Source1:	kde4-firstsetup.sh
BuildRequires:	kde4-macros
BuildRequires:	inkscape
BuildRequires:	gdk-pixbuf2.0
BuildArch:	noarch

%description
This package regroups all specific ROSA config file for KDE.
(SimpleWelcome, KWin config etc.)

#--------------------------------------------------------------------

%package common
Group:		Graphical desktop/KDE
Summary:	Common configs used for ROSA theme
Requires(pre):	update-alternatives
Requires:	urw-fonts
Requires:	mandriva-theme-screensaver
Requires:	mandriva-kde-icons

%description common
common configs used for ROSA theme

%post common
update-alternatives --install %{_sysconfdir}/kde4rc kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config 9

%postun common
if [ "$1" = "0" ]; then
    if ! [ -e %{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config ]; then
        update-alternatives --remove kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config
    fi
fi

%files common
%dir %{_localstatedir}/lib/mandriva/
%dir %{_localstatedir}/lib/mandriva/kde4-profiles
%dir %{_localstatedir}/lib/mandriva/kde4-profiles/common
%{_localstatedir}/lib/mandriva/kde4-profiles/common/*
%{_datadir}/kde4/env/*
%{_kde_appsdir}/kdm/themes
%{_kde_iconsdir}/*/*/apps/*
%{_kde_appsdir}/ksplash/Themes/ROSA

#--------------------------------------------------------------------

%package -n Default-kde4-config
Summary:	ROSA KDE configuration
Group:		Graphical desktop/KDE
Provides:	kde4-config-file = %{version}-%{release}
Requires:	mandriva-theme
Requires:	desktop-common-data
Requires(pre):	mandriva-kde4-config-common = %{version}-%{release}
Obsoletes:	free-kde4-config < %{version}-%{release}
Obsoletes:	one-kde4-config < %{version}-%{release}
Obsoletes:	powerpack-kde4-config < %{version}-%{release}
Obsoletes:	flash-kde4-config < %{version}-%{release}
Requires(pre):	mandriva-kde4-config-common = %{version}-%{release}
Requires(preun): mandriva-kde4-config-common
Requires(post):	perl-MDK-Common

%description -n Default-kde4-config
This package regroups all specific ROSA config file for KDE.

%pre -n Default-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %{_sysconfdir}/kde4rc ] && rm -f %{_sysconfdir}/kde4rc ]
fi
if [ -d %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/apps/kdesktop/Desktop ]; then
  rm -rf %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/apps/kdesktop/Desktop
fi

%trigger -n Default-kde4-config -- kdebase-kdm4-config-file
    perl -MMDK::Common -e 'update_gnomekderc("%{_kde_configdir}/kdm/kdmrc", "General", "ServerVTs", "-7")' 

%post -n Default-kde4-config
update-alternatives --install %{_sysconfdir}/kde4rc kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/Default/kde4rc 15

mkdir -p %{_kde_configdir}/kdm
update-alternatives --install \
	%{_kde_configdir}/kdm/kdmrc kdm4-config \
	%{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/kdmrc \
	10 \
	--slave \
	%{_kde_configdir}/kdm/backgroundrc \
	kdm4-background-config \
	%{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/backgroundrc
# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%{_kde_configdir}/kdm/kdmrc", Shutdown, HaltCmd, "/bin/poweroff")'


%postun -n Default-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %{_localstatedir}/lib/mandriva/kde4-profiles/Default/kde4rc ]; then
        update-alternatives --remove kde4-config %{_localstatedir}/lib/mandriva/kde4-profiles/Default/kde4rc
    fi

    if ! [ -e %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdmrc
    fi
fi

%triggerpostun -n Default-kde4-config -- mandriva-kdm-config
update-alternatives --install \
    %{_kde_configdir}/kdm/kdmrc kdm4-config \
    %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/kdmrc \
    10 \
    --slave \
    %{_kde_configdir}/kdm/backgroundrc \
    kdm4-background-config \
    %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/backgroundrc

%files -n Default-kde4-config
%defattr(-, root, root)
%dir %{_localstatedir}/lib/mandriva/kde4-profiles/Default
%{_localstatedir}/lib/mandriva/kde4-profiles/Default/*
%config(noreplace) %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/backgroundrc
%config(noreplace) %{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/config/kdm/kdmrc

#--------------------------------------------------------------------

%prep
%setup -q

%build
# Nothing

%install
# Create profile dirs
mkdir -p %{buildroot}/%{_kde_appsdir}/kdm
mkdir -p %{buildroot}/%{_kde_configdir}/kdm
mkdir -p %{buildroot}/%{_localstatedir}/lib/mandriva
mkdir -p %{buildroot}/%{_datadir}/applications/kde4
mkdir -p %{buildroot}%{_kde_appsdir}/ksplash/Themes

for i in 16 32 48 64 128; do
	mkdir -p %{buildroot}%{_iconsdir}/crystalsvg/${i}x${i}/apps ;
	cp kde4-profiles/common/share/icons/crystalsvg/${i}x${i}/apps/home-mdk.png %{buildroot}%{_iconsdir}/crystalsvg/${i}x${i}/apps/home-mdk.png ;
done

mv kde4-profiles %{buildroot}/%{_localstatedir}/lib/mandriva

for name in Default; do
# As we Ksplash, we need to copy the files in /usr
	cp -fr %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/config/kdm/themes %{buildroot}/%{_kde_appsdir}/kdm
# We keep this common as we use the same theme for all mdv flavours
	cp -fr %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/apps/ksplash/Themes/ROSA %{buildroot}%{_kde_appsdir}/ksplash/Themes
	pushd %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/apps/mandriva/pics/
		icondir=%{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/share/icons
		mkdir -p $icondir/oxygen/scalable/places/
		cp mdvbutton.svg $icondir/oxygen/scalable/places/

		for RES in 16 22 32 48 64 128 256; do
			mkdir -p  $icondir/oxygen/${RES}x${RES}/places
			inkscape -z -w ${RES} -h ${RES} -f mdvbutton.svg -e $icondir/oxygen/${RES}x${RES}/places/mdvbutton.png
		done
	popd
    echo "[Directories-default]" > %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/kde4rc
    echo "prefixes=/var/lib/mandriva/kde4-profiles/common,%{_localstatedir}/lib/mandriva/kde4-profiles/$name" >> %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/$name/kde4rc
done

# Upstream
echo "[Directories-default]" > %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config
echo "prefixes=%{_kde_prefix}" >> %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/common/upstream-kde4-config

mkdir -p %{buildroot}%{_datadir}/kde4/env
install -m 755 %{SOURCE1} %{buildroot}%{_datadir}/kde4/env

# KDE version in kickoff top tile image
sed -i s,"KDE 4.10","KDE %{kdemajor}",g %{buildroot}%{_localstatedir}/lib/mandriva/kde4-profiles/Default/share/apps/mandriva/pics/top.svg

%changelog

* Mon Oct 02 2017 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014RED-7
- (f13f46f) Rearrange applications groups for SimpleWelcome

* Fri Sep 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014RED-6
- (c58481d) Sync SimpleWelcome and KDM settings with 2014.1 Fresh

* Mon Apr 06 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014RED-5
- (6b8f10d) Fix Desktop dir check in acse of Russian names in kde4-firstsetup.sh

* Tue Mar 31 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014RED-4
- (d0612c6) Adjust pictures per http://bugs.rosalinux.ru/show_bug.cgi?id=5243#c10

* Mon Mar 30 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014RED-3
- (e885d4d) Localize rule descriptions in kwinrules

* Thu Mar 26 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014RED-2
- (525ac27) Bump release

* Thu Mar 26 2015 Denis Silakov <denis.silakov@rosalab.ru> 2014RED-1
- (3b5e947) Use darker theme
- (Denis Silakov: a67a591) Prepare separate branch for RED

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2014-9
- (d3613a9) MassBuild#656: Increase release tag

* Tue Nov 18 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-8
- (8a22a77) Adopt for KDE 4.14

* Thu Oct 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-7
- (a549cc1) Adopt for KDE 4.13

* Thu Oct 02 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-6
- (935b781) Added missed application to the Tools group

* Thu Oct 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-5.1
- (1e6f4c9) Prepare for KDE 4.14

* Thu Oct 02 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-5
- (de8bc9e) Changed destop files identification for rosa-launcher

* Wed Oct 01 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-4
- (05a8878) Added positions for group of applications

* Mon Sep 29 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-3
- (c376b82) Regrouped rosa-launcher applications

* Mon Sep 22 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 2014-2
- (57abd83) Added groups of application for rosa-launcher

* Tue Sep 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2014-1
- (58fb0c3) Bump version and add VolumeFeedback=false to kmix config

* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2012-40
- (56dc431) Bump KDE version

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2012-39
- (6e0f1d9) MassBuild#440: Increase release tag

* Tue Apr 08 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2012-38
- (824b998) Bump current KDE version to 4.12 to make sure kickoff top tile image is correct

* Thu Dec 19 2013 Denis Silakov <denis.silakov@rosalab.ru> 2012-37
- (59abe3e) Drop drakconf from default menu
- (Alex Burmashev: 76f77f0) removed Language=en_GB from kdmrc config

* Mon Oct 28 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2012-36
- (3e451ce) LOG Adjust for KDE 4.11 (update kickoff top tile image version)

* Thu May 23 2013 root <root@localhost.localdomain> 2012-35
- (fa094ab) removed export XCURSOR_THEME=rosa from firstboot and each login, changed kcminputrc

* Tue May 21 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 2012-34
- (bca23eb) release up

* Tue May 21 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 2012-33
- (b59b9a7) returned mkdir -p %{_kde_configdir}/kdm
- (Andrey Bondrov: d7dd14b) LOG Keep kdmrc config in sync with what kcmkdm generates, fix some permissions in tarball

* Sun Apr 28 2013 root <root@localhost.localdomain> 2012-32
- (f70cb54) reverted noreplace removal, changed default config

* Fri Apr 26 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 2012-31
- (e2ece59) release up; removed $config, package kdmrc and backgroundrc as usual files, so that they will always replace files from previous packages.


